summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/fowners
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/fowners')
-rwxr-xr-xbin/ebuild-helpers/fowners5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/fowners b/bin/ebuild-helpers/fowners
index 5b93fd3c3..b664ec766 100755
--- a/bin/ebuild-helpers/fowners
+++ b/bin/ebuild-helpers/fowners
@@ -4,8 +4,9 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
-[[ " ${FEATURES} " == *" force-prefix "* ]] || \
- case "$EAPI" in 0|1|2) EPREFIX= ED=${D} ;; esac
+if ! ___eapi_has_prefix_variables; then
+ EPREFIX= ED=${D}
+fi
# we can't prefix all arguments because
# chown takes random options